## net.sf.statcvs.model
Class Module

    java.lang.Object
      net.sf.statcvs.model.Module

All Implemented Interfaces:
  Comparable

    public class Module

extends Object
implements Comparable

Author:
  Benoit

Constructor Summary
`Module(String name)`

Method Summary
`void` `addFile(VersionedFile vf)`
`int` `compareTo(Object mod)`
`int` `getCurrentLinesOfCode()`
`SortedSet` `getFiles()`
`String` `getName()`
`SortedSet` `getRevisions()` Returns all `Revision`s to files in this directory, in order from oldest to most recent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Module

    public Module(String name)

Method Detail

### addFile

    public void addFile(VersionedFile vf)

### getCurrentLinesOfCode

    public int getCurrentLinesOfCode()

### getRevisions

    public SortedSet getRevisions()

  Returns all `Revision`s to files in this directory, in order from oldest to most recent.

  Returns:
    list of `Revision`s for this directory

### compareTo

    public int compareTo(Object mod)

  Specified by:
    `compareTo` in interface `Comparable`

### getName

    public String getName()

### getFiles

    public SortedSet getFiles()